﻿@model Pidev.Presentation.Models.ResultatListVM

@{
    Layout = "~/Views/Shared/_template.cshtml";
    int count = 1;
}

<script src="~/Scripts/Charts/exporting.js"></script>
<script src="~/Scripts/Charts/highcharts.js"></script>

<h2></h2>
<br />
<br />
<div class="col-md-12">
    <div class="card">
        <div class="card-header ui-sortable-handle" style="cursor: move;">
            <h3 class="card-title">

                <b> Résultat des employés </b>
            </h3>
            <div class="card-tools">

                <a class="badge badge-primary" href="">Excellent</a>

                <a class="badge badge-warning" href="">Moyen</a>
                <a class="badge badge-success" href="">Faible</a>
            </div>
        </div>
            <!-- /.card-header -->
        <div class="card-body p-0">
            @using (Html.BeginForm("ResultUsers", "Quizz"))
            {
                <table class="table">
                    <thead>
                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Selectionner</th>
                            <th>Employé</th>
                            <th>Quiz passé</th>
                            <th>Note</th>
                            <th>Date passage quiz</th>
                        </tr>
                    </thead>
                    <tbody>
                        @for (int i = 0; i < Model.liste.Count; i++)
                        {
                            <tr class="Search">
                                <td>@count</td>
                                <td>@Html.CheckBoxFor(modelItem => Model.liste[i].isChecked)</td>
                                @Html.HiddenFor(modelItem => Model.liste[i].ResultatID)
                                @Html.HiddenFor(modelItem => Model.liste[i].FullName)
                                @Html.HiddenFor(modelItem => Model.liste[i].NomQuiz)
                                @Html.HiddenFor(modelItem => Model.liste[i].UsersID)
                                <td>@Html.DisplayFor(modelItem => Model.liste[i].FullName)</td>
                                <td>@Html.DisplayFor(modelItem => Model.liste[i].NomQuiz)</td>
                                @if (Model.liste[i].NoteFloat < 75.0 && Model.liste[i].NoteFloat > 50.0)
                                {
                                    <td><span class="badge bg-warning">@Html.DisplayFor(modelItem => Model.liste[i].Note)</span></td>
                                }
                                else if (Model.liste[i].NoteFloat > 75.0)
                                {
                                    <td><span class="badge badge-primary">@Html.DisplayFor(modelItem => Model.liste[i].Note)</span></td>
                                }
                                else
                                {
                                    <td><span class="badge bg-danger">@Html.DisplayFor(modelItem => Model.liste[i].Note)</span></td>
                                }
                                <td>@Html.DisplayFor(modelItem => Model.liste[i].DatePassageExam)</td>

                            </tr>
                            count++;
                        }
                    </tbody>
                </table>
                <input type="submit" value="Affecter les employés" class="btn btn-info" style="height:35px;width:200px" />
                <a href="@Url.Action("ExpotToExcel","Quizz")" class="btn btn-info" style="height:35px;width:200px">Export to excel</a>
                <a class="btn btn-info" style="height:35px;width:200px" data-toggle="modal" data-target=".bootstrapmodal">View stats</a>

            }
        </div>
        <br/><br /><br /><br /><br /><br /><br /><br /><br /><br /><br />
            <!-- /.card-body -->
        </div>
    <!-- /.card -->
</div>

<div class="modal fade bootstrapmodal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class=" modal-header">

                <div class="modal-title">Nombre d'employé pour chaque quiz !</div>
                <button data-dismiss="modal" class="close"><span>&times;</span></button>
            </div>
            <div class="modal-body">
                <div class="jumbotron">
                    <div id="container" style="min-width: 410px; height: 500px; max-width: 700px; margin: 0 auto"></div>
                </div>

            </div>
        </div>
    </div>
</div>


<script>

    $(document).ready(function () {
        $.getJSON("/Quizz/GetData", function (data) {


            Highcharts.chart('container', {
                chart: {
                    plotBackgroundColor: null,
                    plotBorderWidth: null,
                    plotShadow: false,
                    type: 'pie'
                },
                title: {
                    text: ''
                },
                tooltip: {
                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true,
                            format: '<b>{point.name}</b>: {point.percentage:.1f} %'
                        }
                    }
                },
                series: [{
                    name: 'Brands',
                    colorByPoint: true,
                    data: [{
                        name: 'informatique',
                        y: data.NbUsersI
                    }, {
                        name: 'JEE',
                        y: data.NbUsersJ2
                    }, {
                        name: 'Angular',
                        y: data.NbUsersA
                    }, {
                        name: 'DotNet',
                        y: data.NbUsersD
                    }, {
                        name: 'Java',
                        y: data.NbUsersJ
                    }]
                }]
            });

        });
    });

</script>
<script src="~/Scripts/jquery-3.3.1.min.js"></script>
<script>
    $(document).ready(function () {
        function Contains(text_one, text_two) {
            if (text_one.indexOf(text_two) != -1)
                return true;
        }
        $("#444").keyup(function () {
            var searchText = $("#444").val().toLowerCase();
            $(".Search").each(function () {
                if (!Contains($(this).text().toLowerCase(), searchText)) {
                    $(this).hide();
                }
                else {
                    $(this).show();
                }
            });
        });
    });
</script> 